> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List retrieves the invocation history for a function



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/functions/{function_id}/invocations
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/functions/{function_id}/invocations:
    get:
      tags:
        - Function Invocation
      summary: List
      description: List retrieves the invocation history for a function
      operationId: c1.api.functions.v1.FunctionsInvocationService.List
      parameters:
        - in: path
          name: function_id
          required: true
          schema:
            description: The functionId field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.functions.v1.FunctionsInvocationServiceListResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.FunctionsInvocation.List(ctx, operations.C1APIFunctionsV1FunctionsInvocationServiceListRequest{\n        FunctionID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.FunctionsInvocationServiceListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.functionsInvocation.list({
                functionId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.functions.v1.FunctionsInvocationServiceListResponse:
      description: The FunctionsInvocationServiceListResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: '#/components/schemas/c1.api.functions.v1.FunctionInvocation'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: The nextPageToken field.
          readOnly: false
          type: string
      title: Functions Invocation Service List Response
      type: object
      x-speakeasy-name-override: FunctionsInvocationServiceListResponse
    c1.api.functions.v1.FunctionInvocation:
      description: The FunctionInvocation message.
      properties:
        commitId:
          description: The commitId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        error:
          description: The error field.
          readOnly: false
          type: string
        functionId:
          description: The functionId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
        input:
          additionalProperties: true
          readOnly: false
          type: object
        output:
          additionalProperties: true
          readOnly: false
          type: object
        status:
          description: The status field.
          enum:
            - FUNCTION_INVOCATION_STATUS_UNSPECIFIED
            - FUNCTION_INVOCATION_STATUS_PENDING
            - FUNCTION_INVOCATION_STATUS_RUNNING
            - FUNCTION_INVOCATION_STATUS_SUCCESS
            - FUNCTION_INVOCATION_STATUS_ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: Function Invocation
      type: object
      x-speakeasy-name-override: FunctionInvocation
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````